directfb (1.7.7-9deepin0) unstable; urgency=medium

  * No source change upload against GCC 12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Thu, 19 Sep 2024 22:44:54 +0800

directfb (1.7.7-9) unstable; urgency=medium

  * QA upload.
  * Add missing #include to ensure makedev() is defined.  (Closes: #924327)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 16 Mar 2019 17:29:57 +0100

directfb (1.7.7-8) unstable; urgency=medium

  * QA upload.
  * Tweak reproducible patch on top of new release.

  [ Reiner Herrmann ]
  * d/p/reproducible_build.patch:
    Make build reproducible (Closes: #828745)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 29 Mar 2018 18:33:45 +0200

directfb (1.7.7-7) unstable; urgency=medium

  * QA upload.
  * debian/patches: Fix client->gfx_state initialisation. (LP: #1737933)
  * debian/control:
    - Move to salsa.debian.org.
    - Bump Standards-Version.
    - Orphan package.

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 03 Feb 2018 15:39:17 +0100

directfb (1.7.7-6) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Configure flux for the build architecture (Closes: #872370)

  [ Sebastian Ramacher ]
  * debian/libdirectfb-dev.install: Remove dh-exex shebang, it's no longer
    needed.
  * debian/control: Bump Standards-Version.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 03 Sep 2017 22:38:56 +0200

directfb (1.7.7-5) unstable; urgency=medium

  * debian/{patches,*.install}: Turn libdavinci_c64x into a convenience
    library. (Closes: #872306)

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 16 Aug 2017 12:05:52 +0200

directfb (1.7.7-4) unstable; urgency=medium

  * Upload to unstable.
  * debian/control: Bump Standards-Version.
  * debian/*.preinst: Removed, no longer needed.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 15 Aug 2017 19:57:10 +0200

directfb (1.7.7-3) experimental; urgency=medium

  * debian/patches: add another missing file.
  * debian/copyright: Fix typo.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 20 Mar 2017 00:16:49 +0100

directfb (1.7.7-2) experimental; urgency=medium

  * debian/patches: Add missing files from upstream (Closes: #598976)

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 16 Mar 2017 21:00:10 +0100

directfb (1.7.7-1) experimental; urgency=medium

  * New upstream release. (Closes: #645624) (LP: #1180318)
  * Build ++DFB package. (Closes: #413371)
  * SONAME bump: 1.4-6 -> 1.7-7.
  * debian/rules:
    - Enable mesa support.
    - Use dh_makeshlibs override since there are no symbol files at the
      moment.
    - Build with all hardening flags.
    - Use flux to re-generate .cpp/.h files from .flux files.
    - Disable uniquewm, because it does not build at the moment.
  * debian/copyright: Update using decopy and document flux.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 23 Feb 2017 23:45:05 +0100

directfb (1.4.17-1) experimental; urgency=medium

  * New upstream release.
  * SONAME bump: 0 -> 6.
  * Update upstream homepage to directfb.net everywhere.
  * debian/control: Adopt package. (Closes: #844130)
  * debian/{control,rules,compat}: Bump debhelper compat to 10.
  * Use -dbgsym packages. (Closes: #703157)
  * debian/rules:
    - Use dh more consistently.
    - Install NEWS as changelog.
  * debian/*.install:
    - Update for Multi-Arch paths.
    - Use dh-exec to simplify install files.
    - No longer install directfb-config. directfb provides pkg-config files.
    - Move directfb-csource to -bin.
    - Remove default font implementation, replaced by dgiff.
    - Do not install static libraries of drivers.
  * debian/{control,rules}: Remove udebs since GTK+ 2 switched to X11 years
    ago.
  * debian/control:
    - Fix dependencies in -dev.
    - Update Vcs-*.
    - Bump Standards-Version to 3.9.8.
    - Remove duplicate sections.
    - Drop libsysfs-dev (Closes: #689876)
    - Mark as M-A: same where possible.
    - Move libdirectfb-extras to Suggests.
  * debian/patches: Refresh patches and remove those integrated upstream.
  * debian/{rules,preinst}: Replace symlinks with directories.
  * debian/copyright: Convert to CF-1.0. Thanks to Thorsten Alteholz for some
    hints.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 26 Jan 2017 23:27:27 +0100

directfb (1.4.3-1.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Merge from 1.2.10.0-5.1:
    - d/control: drop build depend on libts-dev.
    - d/libdirectfb-1.4-0.install.*: drop install libdirectfb_tslib.so
    - d/libdirectfb-dev.install.*: drop install libdirectfb_tslib.a
  * Merge from 1.2.10.0-5:
    - add support for libpng 1.5.
    - replace libpng12-dev build dependency by libpng-dev.
  * Merge from 1.2.10.0-4.3:
    - Fix "directfb ftbfs on armel. Implicit declaration error"
  * Merge from 1.2.10.0-4.1:
    - Fix typo for LDFLAGS.  (Closes: #675112)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 27 May 2016 12:27:27 +0200

directfb (1.4.3-1) experimental; urgency=low

  * New upstream release. (Closes: #549633)
    - Add pxa3xx, new driver for the 2D graphics accelerator found on PXA3xx
      processors.
  * Fix FTBFS on kFreeBSD: update per-architecture install files.
    (Closes: #565853)
  * Switch to dpkg-source 3.0 (quilt) format.
  * Update debian/control:
    - Remove quilt build dependency.
    - Update (build-)dependency on libjpeg62-dev to libjpeg-dev.
    - Bump Standards-Version to 3.8.4 (no changes needed).
    - Fix typo in package description: "This packages". (Closes: #557372)
  * Update debian/rules:
    - Enable parallel build (pass --parallel option to dh).

 -- Fathi Boudra <fabo@debian.org>  Sun, 14 Feb 2010 10:50:34 +0100

directfb (1.4.1-2) experimental; urgency=low

  * Merge changes from 1.2 series:
    - Use per-architecture install files.
    - Add missing libdavinci_c64x library and c64x include on armel
      architecture.
  * Update debian/control:
    - Bump Standards-Version from 3.8.2 to 3.8.3 (no changes needed).
  * Add debian/README.source file.

 -- Fathi Boudra <fabo@debian.org>  Sun, 16 Aug 2009 19:51:17 +0200

directfb (1.4.1-1) experimental; urgency=low

  * New upstream release. (Closes: #537224)
    - Add gl gfx driver and zytronic input driver.
    - debian/patches/05_link_dynamic.patch: Refreshed.
    - debian/patches/93_fix_unicode_key_handling.patch: Refreshed.
  * Update debian/control:
    - Add libgl1-mesa-dev build dependency and dependency to libdirectfb-dev
      package.
  * Update debian/libdirectfb-1.4-0.install file.
  * Update debian/debian/libdirectfb-dev.install file.

 -- Fathi Boudra <fabo@debian.org>  Sat, 15 Aug 2009 12:40:36 +0200

directfb (1.2.8-4) unstable; urgency=low

  * Add missing c64x.h include for armel.

 -- Fathi Boudra <fabo@debian.org>  Sun, 16 Aug 2009 19:13:54 +0200

directfb (1.2.8-3) unstable; urgency=low

  * Add missing libdavinci_c64x library. Fix armel build.

 -- Fathi Boudra <fabo@debian.org>  Sun, 16 Aug 2009 11:25:09 +0200

directfb (1.2.8-2) unstable; urgency=low

  * Use per-architecture install files. (Closes: #541662, #541705)

 -- Fathi Boudra <fabo@debian.org>  Sun, 16 Aug 2009 00:08:05 +0200

directfb (1.2.8-1) unstable; urgency=low

  * New upstream release.
  * Update debian/patches/70_linux_fusion.patch to linux-fusion 8.1.1.
  * Add debian/patches:
    - 01_default_cflags.patch
      Upstream clear default CFLAGS and force -O3.
      Use default CFLAGS on Debian.
    - 02_fix_sh772x_build.patch
      Fix FTBFS on Renesas SH (sh4) because libjpeg doesn't link against sh772x
      driver. Thanks to Nobuhiro Iwamatsu. (Closes: #536314)
  * Bump debian/compat to 7.
  * Update debian/control:
    - Bump debhelper and quilt build dependencies version.
    - Add avr32 into architectures list for libsysfs-dev build dependency.
      (Closes: #528416)
    - Add sh4 into architecture list for libsysfs-dev build dependency.
      (Closes: #536315)
    - Bump Standards-Version from 3.8.0 to 3.8.2 (no changes needed).
    - Add missing ${misc:Depends}. Thanks to lintian.
    - Add debug packages: libdirectfb-1.2-0-dbg, libdirectfb-bin-dbg and
      libdirectfb-extra-dbg. (Closes: #532620)
  * Fix debian/directfb-config.1 file. Thanks to lintian.
  * Rename debian/docs to debian/libdirectfb-1.2-0.docs file.
  * Update *.install files: more verbose.
  * Replace debian/libdirectfb-extra.files by debian/libdirectfb-extra.install
    file.
  * Convert debian/rules to dh usage.
  * Add debian/source.lintian-overrides to override lintian error about avr32
    architecture.

 -- Fathi Boudra <fabo@debian.org>  Wed, 12 Aug 2009 23:34:02 +0200

directfb (1.2.7-2) unstable; urgency=low

  * Upload to Sid.

 -- Fathi Boudra <fabo@debian.org>  Mon, 09 Mar 2009 18:15:26 +0100

directfb (1.2.7-1) experimental; urgency=low

  * New upstream release.

 -- Fathi Boudra <fabo@debian.org>  Wed, 28 Jan 2009 14:16:19 +0100

directfb (1.2.6-1) experimental; urgency=low

  * New upstream release. (Closes: #500093)
    - debian/patches/01_link_static_priv.patch: Merged upstream.
    - debian/patches/03_link_static_sysfs.patch: Merged upstream.
    - debian/patches/05_link_dynamic.patch: Refreshed.
    - debian/patches/08_link_static_ar.patch: Removed.
    - debian/patches/24_distclean.patch: Merged upstream.
    - debian/patches/30_linux_types.patch: Merged upstream.
    - debian/patches/40_page_size.patch: Merged upstream.
    - debian/patches/50_siginfo.patch: Merged upstream.
    - debian/patches/91_linux_types_cruft.patch: Removed.
    - debian/patches/93_fix_unicode_key_handling.patch: Refreshed.
  * Update debian/libdirectfb-bin.install:
    - Add mkdfiff and mkdgiff binaries.
  * Update debian/rules:
    - Add includedir, sysconfdir and localstatedir to configure options.
    - Add LDFLAGS to configure script: --as-needed.

 -- Fathi Boudra <fabo@debian.org>  Sun, 09 Nov 2008 16:50:45 +0100

directfb (1.0.1-11) unstable; urgency=low

  * Remove 92_reopen_console.patch: it fails in the usual case,
    but works when run through strace. (Closes: #493899)

 -- Fathi Boudra <fabo@debian.org>  Sun, 17 Aug 2008 16:42:54 +0200

directfb (1.0.1-10) unstable; urgency=low

  * Add 93_fix_unicode_key_handling.patch: when the library asks the kernel
    for the key symbols, the result are truncated for unicode symbols if the
    keyboard is not in K_UNICODE mode. So, a temporary switch is needed,
    as well as applying the right bitmask in order to retrieve the full
    unicode symbol. Thanks to Jérémy Bobbio. (Closes: #401296)
  * Now using Standards-Version 3.8.0 (no changes needed).

 -- Fathi Boudra <fabo@debian.org>  Tue, 22 Jul 2008 18:49:17 +0200

directfb (1.0.1-9) unstable; urgency=low

  * Add cross build support. Thanks to Neil Williams. (Closes: #480933)
  * Add 92_reopen_console.patch: when libdirectfb detects zero length reads, it
    attempts to reopen the console (possibly from a newly mounted root tree).

 -- Fathi Boudra <fabo@debian.org>  Wed, 14 May 2008 22:44:06 +0200

directfb (1.0.1-8) unstable; urgency=low

  * Adopt the directfb suite of packages. Set maintainer to Debian DirectFB
    Team: Otavio Salvador, Luis Mondesi and myself. (Closes: #465402)
  * Exclude linux specific package to fix FTBFS on GNU/kFreeBSD
    due to unsatisfied Build-Depends on libts-dev. (Closes: #465945)

 -- Fathi Boudra <fabo@debian.org>  Sat, 01 Mar 2008 10:46:17 +0100

directfb (1.0.1-7) unstable; urgency=low

  * Orphan package, set maintainer to Debian QA Group.
  * Replace libts0-dev with libts-dev in Build-Depends. (Closes: #464222)
  * Properly serialize patch and configure targets to support parallel builds.
  * Patch cleanup:
    - debian/patches/09_link_static_as-needed.patch: Merged into ...
    - debian/patches/08_link_static_ar.patch: ... this.
    - debian/patches/05_link_dynamic.patch: Update Status pseudo-fields:
    - debian/patches/70_linux_fusion.patch: Likewise.
  * Update copyright information.
  * Remove Vcs information from debian/copyright (it's now in debian/control).

 -- Guillem Jover <guillem@debian.org>  Tue, 12 Feb 2008 09:31:01 +0200

directfb (1.0.1-6) unstable; urgency=medium

  * Add shlib:Depends substvar on libdirectfb-dev's Depends needed by
    directfb-csource. Thanks to Niko Tyni <ntyni@debian.org>.
  * Patch cleanup:
    - debian/patches/04_bashisms.patch: Remove, was already disabled.
    - debian/patches/10_linux_config.h.patch: Rename to ...
    - debian/patches/90_linux_config.h.patch: ... this.
    - debian/patches/30_linux_types.patch: Move distro specific change ...
    - debian/patches/91_linux_types_cruft.patch: ... here. New file.
    - Add upstream status information to all patches.
  * Add libts0-dev to Build-Depends to enable tslib support. (Closes: #456584)
  * Yield the CPU on the keyboard loop. (Closes: #458418)
    - debian/patches/80_from_HEAD_yield_cpu_on_kbd_loop.patch: New file.
      Stole from git HEAD. Set medium urgency as this is breaking splashy
      in testing.

 -- Guillem Jover <guillem@debian.org>  Mon, 28 Jan 2008 07:40:06 +0200

directfb (1.0.1-5) unstable; urgency=low

  * Replace all instances of __type with type, where type are s8, u8,
    s16, u16, s32, u32, s64 and u64.
    - debian/patches/30_linux_types.patch: Update.

 -- Guillem Jover <guillem@debian.org>  Tue, 11 Dec 2007 02:36:27 +0200

directfb (1.0.1-4) unstable; urgency=low

  * Add armel in libsysfs-dev architecture specifier in Build-Depends.
    (Closes: #454769)
    Thanks to Joey Hess <joeyh@debian.org>.
  * Enable DIRECTFB_NO_CRUFT in dfb_types.h to avoid polluting the type
    namespace. (Closes: #454944)
    - debian/patches/30_linux_types.patch: Update.

 -- Guillem Jover <guillem@debian.org>  Tue, 11 Dec 2007 00:23:18 +0200

directfb (1.0.1-3) unstable; urgency=low

  * Upload to unstable.
  * Now using Standards-Version 3.7.3 (no changes needed).
  * Remove XB- from Package-Type fields.
  * Do not remove duplicated Depends entries, dpkg-dev does it now.
  * Remove 'trunk/' from Vcs-Browser.
  * Move dependency in debian/rules from build-dist and build-udeb targets
    to configure.in.
  * Do not ignore errors from 'rm -rf' in 'debian/rules clean'.
  * Call configure with autotools-dev recommended --build and --host options.
  * Change DEB_HOST_ARCH_OS assignment to only if it's not already set.
  * Restore parts of patch lost when preparing 1.0.1-1. (Closes: #446948)
    - debian/patches/09_link_static_as-needed.patch: Update.

 -- Guillem Jover <guillem@debian.org>  Fri, 07 Dec 2007 10:41:48 +0200

directfb (1.0.1-2) experimental; urgency=low

  * Reorder variable assignments in debian/rules so that they get properly
    initialized.
  * Remove version from zlib1g-dev Build-Depends.
  * Switch from automake1.9 to automake in Build-Depends.
  * Add pkg-config to Build-Depends. (Closes: #441966)
  * Add Homepage, Vcs-Browser and Vcs-Svn fields.

 -- Guillem Jover <guillem@debian.org>  Wed, 12 Sep 2007 22:10:29 +0300

directfb (1.0.1-1) experimental; urgency=low

  * New upstream release. (Closes: #416911)
    - debian/patches/05_link_dynamic.patch: Resync.
    - debian/patches/09_link_static_as-needed.patch: Likewise.
    - debian/patches/10_linux_config.h.patch: Likewise.
    - debian/patches/24_distclean.patch: Likewise.
    - debian/patches/50_siginfo.patch: Likewise.
    - debian/patches/60_touchpad.patch: Removed, superseded upstream.
    - debian/patches/13_x86_conditional_rdtsc.patch: Likewise.
    - debian/patches/70_linux_fusion.patch: New file.
  * Do not ship the .la files in libdirectfb-dev.
  * Remove duplicated relationships from the substvar files.
  * Change the Package-Type field from XC- to XB-.
  * Initialize DEB_HOST_ARCH_OS with dpkg-architecture.
  * Move dfbinfo from libdirectfb-1.0-0-udeb to libdirectfb-bin-udeb.
  * Remove Tag fields, they are better maintained outside the package.

 -- Guillem Jover <guillem@debian.org>  Tue, 04 Sep 2007 05:20:21 +0300

directfb (0.9.25.1-6) unstable; urgency=low

  * Add a Dependency on libsysfs-dev to libdirectfb-dev. (Closes: #407316)
  * Fix static linking path in directfb-config when using WM libraries.
    (Closes: #407670)
    - debian/patches/09_link_static_as-needed.patch: Updated.
    Thanks to Tim Dijkstra <tim@famdijkstra.org>.
  * Fix static linking options in directfb-config missing capitalization for
    some symbols. (Closes: #407935)
    - debian/patches/09_link_static_as-needed.patch: Updated.
    Based on a patch by Tim Dijkstra <tim@famdijkstra.org>.
  * Do not include <linux/compiler.h> as it is not exported by the kernel
    anymore. (Closes: #427276)
    - debian/patches/10_linux_config.h.patch: Updated.
  * Use ${binary:Version} instead of the deprecated substvar ${Source-Version}.
  * Remove debian/tmp-udeb on clean to fix a build failure if built twice
    in a row. (Closes: #424184)
  * Remove autogenerated files on clean to keep the diff tidy.
  * Include <stddef.h> and <sys/types.h> needed by <linux/agpgart.h> in
    'gfxdrivers/i830/i830.h'.
    - debian/patches/30_linux_types.patch: Updated.

 -- Guillem Jover <guillem@debian.org>  Thu, 07 Jun 2007 06:33:21 +0300

directfb (0.9.25.1-5) unstable; urgency=low

  * Make linux_input handle correctly touchpad devices.
    (Closes: #354624, #375402, #383608, #383866, #395067, #395118, #400579)
    - debian/patches/60_touchpad.patch: New file.
    Thanks to Attilio Fiandrotti <attilio.fiandrotti@gmail.com>.

 -- Guillem Jover <guillem@debian.org>  Mon,  4 Dec 2006 08:57:56 +0200

directfb (0.9.25.1-4) unstable; urgency=low

  * Switched to quilt:
    - Add new debian/patches/series file.
    - Add Build-Depends on 'quilt (>= 0.40)'.
    - Include quilt.make from debian/rules.
    - Remove now unused debian/patch.mk.
  * Add a Tag: field to all binary packages, using partial data from debtags.
  * Do not build nor install any gfxdriver in the udeb, except for Linux
    systems where we include the Matrox driver. (Closes: #390438)
  * Reorder patches to ease merging in upstream:
    - debian/patches/02_link_static_ar.patch: Rename to ...
    - debian/patches/08_link_static_ar.patch: ... here.
    - debian/patches/06_link_static_as-needed.patch: Rename to ...
    - debian/patches/09_link_static_as-needed.patch: ... here.
    - debian/patches/03_link_static_sysfs.patch: Resync.
  * Remove unneded zlib linking instances from some of the resulting objects.
    - debian/patches/05_link_dynamic.patch: New file.
  * Fix Linux kernel types use on non-Linux systems.
    - debian/patches/30_linux_types.patch: Update.
  * Do not use PAGE_SIZE at all on Linux, this variable was not supposed to
    be exported to userland.
    - debian/patches/40_page_size.patch: Update.
  * Unify short package descriptions.
  * Install dbfinfo in the udeb under '/usr/lib/directfb-M.N.O/bin' to
    keep it co-installable as long as we do not have a package
    libdirectfb-bin-udeb. (Closes: #390437)
  * Fix inconditional use of SA_SIGINFO, which is not present in the Hurd.
    - debian/patches/50_siginfo.patch: New file.
    Thanks to Samuel Thibault <samuel.thibault@ens-lyon.org>.
  * Support building on non-Linux systems. (Closes: #363491)
  * Switch variables to non-recursive and fix indentation in debian/rules.

 -- Guillem Jover <guillem@debian.org>  Tue, 17 Oct 2006 13:06:09 +0300

directfb (0.9.25.1-3) unstable; urgency=medium

  * Fix build failure on powerpc, due to the inconditional use of PAGE_SIZE.
    - debian/patches/40_page_size.patch: New file.

 -- Guillem Jover <guillem@debian.org>  Mon, 31 Jul 2006 19:56:10 +0300

directfb (0.9.25.1-2) unstable; urgency=low

  * Upload to unstable.
  * Do not leak libdl nor libz to projects dynamically linking against
    directfb trough the .pc files or directfb-config. (Closes: #373983)
    - debian/patches/01_link_static_priv.patch: New file.
  * Force linking the selected modules when statically linking, now that the
    toolchain enforces --as-needed by default. (Closes: #378368)
    - debian/patches/06_link_static_as-needed.patch: New file.

 -- Guillem Jover <guillem@debian.org>  Tue, 25 Jul 2006 20:44:11 +0300

directfb (0.9.25.1-1) experimental; urgency=low

  * New upstream release. (Closes: #366460)
    - debian/patches/00_plugins_link.patch: Merged upstream. Remove.
    - debian/patches/01_missing_rules.patch: Likewise.
    - debian/patches/11_syscall.patch: Likewise.
    - debian/patches/12_remove_sys_io.h.patch: Likewise.
    - debian/patches/22_videodev.patch: Likewise.
    - debian/patches/23_fbdev.patch: Likewise.
    - debian/patches/30_linux_types.patch: Sync.
    - debian/patches/13_x86_conditional_rdtsc.patch: Likewise.
    - debian/patches/24_distclean.patch: Likewise.
    - debian/patches/03_link_static_sysfs.patch: Likewise.
  * Updated version in directfb-config.1.
  * Now using Standards-Version 3.7.2.
  * Wrapped debian/control field lines, as per latest policy.
  * Remove sh from libsysfs-dev Build-Depends architecture delimiter.
  * Replace x-dev Dependency in libdirectfb-dev with x11proto-core-dev.
    (Closes: #366011)

 -- Guillem Jover <guillem@debian.org>  Wed, 14 Jun 2006 12:20:21 +0300

directfb (0.9.24-4) unstable; urgency=low

  * Replace x-dev Build-Dependency with x11proto-core-dev. (Closes: #366011)
  * Refer to Debian as a generic system, and not mention GNU/Linux.
  * Fix bashisms in directfb-config. (Closes: #369006, #370756)
    - debian/patches/04_bashisms.patch: New file.
  * Use rdtsc on x86 conditionally, so that subarches which do not provide
    it do not SIGILL. (Closes: #373217)
    - debian/patches/13_x86_conditional_rdtsc.patch: New file.

 -- Guillem Jover <guillem@debian.org>  Wed, 14 Jun 2006 10:00:15 +0300

directfb (0.9.24-3) unstable; urgency=low

  * Fix FTBFS on amd64 due to conflicting types for int64_t. (Closes: #316277)
    - debian/patches/30_linux_types.patch: Updated.
    Thanks to Kurt Roeckx <kurt@roeckx.be>.
  * Fix missing libsysfs when statically linking.
    - debian/patches/03_link_static_sysfs.patch: New file.

 -- Guillem Jover <guillem@debian.org>  Fri, 14 Apr 2006 21:11:39 +0300

directfb (0.9.24-2) unstable; urgency=low

  * Upload to unstable.

 -- Guillem Jover <guillem@debian.org>  Mon, 10 Apr 2006 14:48:47 +0300

directfb (0.9.24-1) experimental; urgency=low

  * New upstream release. (Closes: #342496)
    - debian/patches/00_plugins_link.patch: Sync. Fix SDL provider linking
      against the system directfb libraries.
    - debian/patches/22_videodev.patch: Sync.
    - debian/patches/23_fbdev.patch: Likewise.
    - debian/patches/24_distclean.patch: Likewise.
    - debian/patches/30_linux_types.patch: Likewise.
    - debian/patches/01_missing_rules.patch: New file. Add missing rules/
      directory in the released tarball.
    - debian/patches/31_libsysfs2.patch: Removed, upstream can now build
      with libsysfs1 and libsysfs2.
  * Switch to debhelper compatibilty level 5.
  * Rename debian/patch.mk clean target to unpatch. Make patch and unpatch
    single colon rules. Make patch, unpatch, apply-patches and reverse-patches
    PHONY.
  * Remove obsolete --disable configure options for the udeb build.
  * Do not use stamp files for configuere, use config.status instead.
  * Reorganized binary packages contents, and move providers with external
    dependencies to libdirectfb-extra: (Closes: #188490)
    - Update libdirectfb-extra description.
    - debian/rules (VERSION, DEB_BUILD_GNU_SYSTEM): Remove unused variables.
      (package_lib): Change to a simple expanded variable.
      (package_udeb): Use package_lib to generate the name.
      (packages_nolib): Exclude package_lib and package_udeb from the list.
      (prefix_tmp): Change to ...
      (DESTDIR_DIST): ... this. Fix all callers.
      (prefix_udeb): Change to ...
      (DESTDIR_UDEB): ... this. Fix all callers.
      (install): Do not remove stuff, as we are now explicitly selecting
      what to install.
      (binary-arch): Use dh_install instead of dh_movefiles, and exclude
      some files from the global lists. Remove dh_isntallexamples comment.
      Use packages_nolib in the for loop.
    - debian/libdirectfb-0.9-24.files: Rename to ...
    - debian/libdirectfb-0.9-24.install: ... this. Install the default font
      provider; the gif and mpeg2 image provider; the v4l video provider;
      all gfxdrivers; all inputdrivers; the fbdev system provider; and all
      the wm providers.
    - debian/libdirectfb-0.9-24-udeb.install: New file. Explicitly list
      package contents, previously picked from the remaining not removed ones.
    - debian/libdirectfb-bin.files: Rename to ...
    - debian/libdirectfb-bin.install: ... this.
    - debian/libdirectfb-dev.files: Rename to ...
    - debian/libdirectfb-dev.install: ... this. Install all .la and .a files
      for all providers.
    - debian/libdirectfb-extra.files: Rename to ...
    - debian/libdirectfb-extra.install: ... this. Install SDL input and
      system provider; the ft2 font provider; the jpeg and png image
      providers.
  * Enable X11 system and input providers.
  * Use .a archives for static linking instead of the .o files.
    - debian/patches/02_link_static_ar.patch: New file.
  * Add "udeb:" lines to the shlibs file (Build-Depend on debhelper 5.0.22).
    (Closes: #360211)
  * Fix bold and italic use in directfb-config manpage.

 -- Guillem Jover <guillem@debian.org>  Fri, 31 Mar 2006 05:34:41 +0300

directfb (0.9.22-9) unstable; urgency=low

  * Switch to libsysfs-dev >= 2.0. (Closes: #347627)
    - debian/patches/31_libsysfs2.patch: New file.
    Thanks to Martin Pitt <mpitt@debian.org>.
  * Drop SDL support, as it is creating a cyclic Build-Dependency loop.
    (Closes: #354839)

 -- Guillem Jover <guillem@debian.org>  Thu,  2 Mar 2006 01:38:27 +0200

directfb (0.9.22-8) unstable; urgency=low

  * Add missing direct link dependencies to libdirect.so and libfusion.so
    for plugins. (Closes: #330831)
    - debian/patches/00_plugins_link.patch: Update.
  * Move the regular libdirectfb package Depends in the udeb to a Provides.
    (Closes: #331441)

 -- Guillem Jover <guillem@debian.org>  Thu,  6 Oct 2005 23:05:12 +0300

directfb (0.9.22-7) unstable; urgency=low

  * Remove outdated header files not matching the build configuration.
    - debian/patches/24_distclean.patch: New file.
    Thanks to Tobias Grimm <tobias.grimm@e-tobi.net>.
  * Fix type clashing on amd64 by making sure 'dfb_types.h' is included
    before anything else, this time for real. (Closes: #316277)
    - debian/patches/30_linux_types.patch: Update.
    Thanks to Andreas Jochens <aj@andaco.de>.
  * Use generated library package to retrieve shlibdeps information.

 -- Guillem Jover <guillem@debian.org>  Sat, 24 Sep 2005 18:49:16 +0300

directfb (0.9.22-6) unstable; urgency=low

  * Add ppc64 to the libsys-fs Build-Depends architecture. (Closes: #326041)
  * Fix type clashing on amd64 by including 'dfb_types.h' instead of
    'asm/types.h'. (Closes: #316277)
    - debian/patches/13_linux_types.patch: Reordered by renaming to ...
    - debian/patches/30_linux_types.patch: ... this.
    Thanks to Andreas Jochens <aj@andaco.de> for the initial patch.
  * Update LGPL to 2.1 and fix FSF address in debian/copyright.

 -- Guillem Jover <guillem@debian.org>  Sat, 10 Sep 2005 04:31:13 +0300

directfb (0.9.22-5) unstable; urgency=low

  * Update watch file to version 3 (no changes needed).
  * Fix multiple declaration of C integer types on amd64. The proper fix
    is to stop using internal kernel types, though. (Closes: #316277)

 -- Guillem Jover <guillem@debian.org>  Sat, 16 Jul 2005 04:55:01 +0300

directfb (0.9.22-4) unstable; urgency=low

  * Add missing libtool to the Build-Depends. (Closes: #315772)

 -- Guillem Jover <guillem@debian.org>  Tue, 28 Jun 2005 02:38:08 +0300

directfb (0.9.22-3) unstable; urgency=low

  * Enable static libraries for real.
    Thanks to Otavio Salvador <otavio@debian.org> for noticing.
  * Now using Standards-Version 3.6.2 (no changes needed).
  * Fix link dependencies for plugins.
    Thanks to Colin Watson <cjwatson@debian.org> for the initial patch,
    afterwards completed.
  * Build the ATI Rage 128 driver by default.
  * Enable Video4Linux 2.
  * Enable additional WM module (unique).

 -- Guillem Jover <guillem@debian.org>  Wed, 22 Jun 2005 03:43:12 +0300

directfb (0.9.22-2) experimental; urgency=low

  * Add Build-Depends for automake1.9. (Closes: #311174)
  * Add static libraries. (Closes: #304983)
  * Add all programs to libdirectfb-bin.
  * Make Build-Depends on libsysfs-dev linux specific.
  * Remove dirs files.
  * Clean debian/rules.
    - Do not use stamp files for build targets.
    - Merge install targets.
    - Make binary-arch target only call install.
  * Clean debian/control:
    - Reorder and indentation changes.
    - Remove obsolete Conflicts and Replaces lines.
  * Share the doc dir among packages.

 -- Guillem Jover <guillem@debian.org>  Sat, 18 Jun 2005 22:58:16 +0300

directfb (0.9.22-1) experimental; urgency=low

  * New upstream release. (Closes: #287989, #298070)
    - Builds with gcc-4.0. (Closes: #305522)
    - 20_matrox.patch: Removed, integrated upstream.
    - 24_matrox_sysfs.patch: Likewise.
    - 22_videodev.patch: Resync. Rename header files.
    - 23_linux_fb.h.patch: Likewise. Rename to ...
    - 23_fbdev.patch: ... this.
  * Fix several build failures:
    - 11_syscall.patch: Use syscall() instead of _syscall0.
      _syscall0 isn't supported on ia64.
    - 10_linux_config.h.patch: Do not rely on linux/config.h. The values
      in it almost certainly don't match the running kernel.
    - 12_remove_sys_io.h.patch: Remove unneeded unconditonal <sys/io.h>.
    Thanks to Jeff Bailey <jbailey@ubuntu.com>.
  * Drop broken-by-design libdirectfb-udeb-dev package. Use libdirectfb-dev
    instead. Thanks to Colin Watson <cjwatson@debian.org>.
  * Use debhelper 4.2 udeb support.

 -- Guillem Jover <guillem@debian.org>  Fri, 27 May 2005 23:33:39 +0300

directfb (0.9.20-5) unstable; urgency=low

  * Fix Subversion repository address.
  * Add sysfs support to the matrox gxfdriver. (Closes: #280986)
    Thanks to Mark Bergsma <mark@nedworks.org>.

 -- Guillem Jover <guillem@debian.org>  Mon, 31 Jan 2005 08:22:09 +0100

directfb (0.9.20-4) unstable; urgency=medium

  * Fix FTBFS on GNU/Linux systems that does not have <sys/io.h>.
    - 23_linux_fb.h.patch: Add missing check for <sys/io.h> to enable the
      savage3d driver build. (Closes: #267818)
  * Added missing man page for directfb-config.

 -- Guillem Jover <guillem@debian.org>  Mon, 30 Aug 2004 09:45:04 +0200

directfb (0.9.20-3) unstable; urgency=medium

  * Update Depends from libpng3-dev to the renamed package libpng12-dev.
    (Closes: #263092)
  * Fix FTBFS on GNU/Linux systems that does not have <sys/io.h>.
    - 23_linux_fb.h.patch: Revert the accidental removal of the have_sysio
      check. (Closes: #267818)
  * Only install fb_linux.h on GNU/Linux systems.
  * Added Depends on libc6-dev | libc-dev.

 -- Guillem Jover <guillem@debian.org>  Sat, 28 Aug 2004 14:11:47 +0200

directfb (0.9.20-2) unstable; urgency=low

  * Update debian/patch.mk, provide a patch target.
  * Do not wrap Build-Depends.
  * Cleaned debian/rules.
  * Use License: instead of missplaced Copyright: on debian/copyright.
  * Updated patches:
    - 21_i810.patch: Removed, it was fixed upstream.
    - 22_videdev.patch: Add videodev2.h, and sync with linux kernel 2.6.6.
    - 23_linux_fb.h.patch: Include <linux/fb.h> into the source, patched to
      support the Savage board.
  * Remove unneeded Build-Depends on xlibs-dev.
  * Update Build-Depends from libpng3-dev to the renamed package libpng12-dev.
    (Closes: #263092)
  * Added the location of the Subversion repo used for the packages.
  * Added Section to the source package.

 -- Guillem Jover <guillem@debian.org>  Wed, 18 Aug 2004 18:24:39 +0200

directfb (0.9.20-1) unstable; urgency=low

  * New Upstream Release. (Closes: #220508)
    - 21_i810.patch: Removed DSPF_RGB24 correction fixed upstream.

 -- Guillem Jover <guillem@debian.org>  Tue, 20 Jan 2004 09:31:37 +0100

directfb (0.9.19-2) unstable; urgency=low

  * New Maintainer.
  * Added a watch file.
  * Moved DH_COMPAT to the compat file
  * Switched to debhelper compatibilty level 4.
  * Changed -dev packages Section to libdevel.
  * Moved SDL and FreeType plugins to the -extra package.
  * Removed libflash-dev from dependencies as there is no flash video
    provider.
  * Added debian/patches fixing build failures due to the new
    linux-kernel-headers: (Closes: #220338)
    - 20_matrox.patch
    - 21_i810.patch
    - 22_videodev.patch
  * Added debian/patch.mk.
  * Now using Standards-Version 3.6.1.

 -- Guillem Jover <guillem@debian.org>  Thu, 13 Nov 2003 15:26:05 +0100

directfb (0.9.19-1) unstable; urgency=low

  * New upstream release

 -- Fredrik Hallenberg <hallon@debian.org>  Wed,  6 Aug 2003 20:15:25 +0200

directfb (0.9.18-1) unstable; urgency=low

  * New upstream release

 -- Fredrik Hallenberg <hallon@debian.org>  Tue,  3 Jun 2003 20:52:06 +0200

directfb (0.9.17-2) unstable; urgency=low

  * Added xlibs-dev to build-depends (closes: #187677)

 -- Fredrik Hallenberg <hallon@debian.org>  Sun,  6 Apr 2003 08:33:49 +0200

directfb (0.9.17-1) unstable; urgency=low

  * New upstream release (closes: #185955)

 -- Fredrik Hallenberg <hallon@debian.org>  Sun, 23 Mar 2003 13:22:12 +0100

directfb (0.9.16-1) unstable; urgency=low

  * New upstream release

 -- Fredrik Hallenberg <hallon@debian.org>  Thu, 30 Jan 2003 18:40:20 +0100

directfb (0.9.15-3) unstable; urgency=low

  * Make libdirectfb-extra package to reduce dependencies on main package.
    Compile with avifile and libmpeg3.

 -- Fredrik Hallenberg <hallon@debian.org>  Sat, 25 Jan 2003 12:51:23 +0100

directfb (0.9.15-2) unstable; urgency=low

  * Make directfb-udeb package

 -- Fredrik Hallenberg <hallon@debian.org>  Thu,  2 Jan 2003 19:31:36 +0100

directfb (0.9.15-1) unstable; urgency=low

  * New upstream release

 -- Fredrik Hallenberg <hallon@debian.org>  Sat, 14 Dec 2002 17:24:26 +0100

directfb (0.9.13-1) unstable; urgency=low

  * New upstream release (closes: #158466)

 -- Fredrik Hallenberg <hallon@debian.org>  Sat,  5 Oct 2002 14:52:51 +0200

directfb (0.9.12-1) unstable; urgency=low

  * New upstream release (closes: #153450)
  * Build-depend on libpng3-dev instead of libpng-dev (closes: #154231)

 -- Fredrik Hallenberg <hallon@debian.org>  Thu, 25 Jul 2002 20:17:06 +0200

directfb (0.9.11-1) unstable; urgency=low

  * New upstream release (thanks mechanix@debian.org)
  * Add libflash-dev to Build-Depends:.
  * Build using libpng-dev instead of libpng2-dev. (Closes: #146979)
  * Make -dev package conflict with libdirectfb8 package. (Closes: #149146)
  * Change package name to libdirectfb-0.9

 -- Fredrik Hallenberg <hallon@debian.org>  Thu,  6 Jun 2002 18:37:48 +0200

directfb (0.9.10-2) unstable; urgency=low

  * New release to fix some build problems

 -- Fredrik Hallenberg <hallon@debian.org>  Fri, 10 May 2002 18:18:07 +0200

directfb (0.9.10-1) unstable; urgency=low

  * New upstream release
  * Added dependency on libpng2-dev (closes: #143906)
  * Moved pkgconfig stuff to dev package.
  * Patched data and lib dirs to not conflicts with old packages.

 -- Fredrik Hallenberg <hallon@debian.org>  Tue, 23 Apr 2002 22:03:11 +0200

directfb (0.9.9-1) unstable; urgency=low

  * New upstream release

 -- Fredrik Hallenberg <hallon@debian.org>  Tue, 12 Mar 2002 20:37:06 +0100

directfb (0.9.8-2) unstable; urgency=low

  * Change package name according to policy.

 -- Fredrik Hallenberg <hallon@debian.org>  Sat,  2 Feb 2002 00:11:37 +0100

directfb (0.9.8-1) unstable; urgency=low

  * New upstream release. The examples are in a separate tarball now, I
    will make a new example package soon.

 -- Fredrik Hallenberg <hallon@debian.org>  Tue, 15 Jan 2002 20:14:32 +0100

directfb (0.9.7-1) unstable; urgency=low

  * New upstream release

 -- Fredrik Hallenberg <hallon@debian.org>  Sat,  8 Dec 2001 22:28:45 +0100

directfb (0.9.6-1) unstable; urgency=low

  * New upstream release

 -- Fredrik Hallenberg <hallon@debian.org>  Sun, 21 Oct 2001 18:42:36 +0200

directfb (0.9.5-2) unstable; urgency=low

  * Removed build-depend on libc6-dev (closes: #116150)

 -- Fredrik Hallenberg <hallon@debian.org>  Sat, 20 Oct 2001 17:39:54 +0200

directfb (0.9.5-1) unstable; urgency=low

  * New upstream release

 -- Fredrik Hallenberg <hallon@debian.org>  Sun, 23 Sep 2001 12:01:04 +0200

directfb (0.9.4-1) unstable; urgency=low

  * New upstream release

 -- Fredrik Hallenberg <hallon@debian.org>  Sun,  8 Jul 2001 21:01:28 +0200

directfb (0.9.3-1) unstable; urgency=low

  * New upstream release (closes: #100537)

 -- Fredrik Hallenberg <hallon@debian.org>  Sun, 17 Jun 2001 18:20:22 +0200

directfb (0.9.2-2) unstable; urgency=low

  * Removed signal handler for SIGSTKFLT as it is not available on
    all architectures. Should be harmless. (closes: #100180)

 -- Fredrik Hallenberg <hallon@debian.org>  Sat,  9 Jun 2001 23:38:53 +0200

directfb (0.9.2-1) unstable; urgency=low

  * New upstream release
  * Added build-depend on libc6-dev to ensure that recent linux/fb.h is
    included (closes: #96171)

 -- Fredrik Hallenberg <hallon@debian.org>  Sun,  3 Jun 2001 21:43:54 +0200

directfb (0.9.0-2) unstable; urgency=low

  * Forgot build-depends (closes: #95038, #95098)

 -- Fredrik Hallenberg <hallon@debian.org>  Tue, 24 Apr 2001 21:55:54 +0200

directfb (0.9.0-1) unstable; urgency=low

  * Initial Release.

 -- Fredrik Hallenberg <hallon@debian.org>  Tue, 17 Apr 2001 15:28:35 +0200
